algebra-3.1: Constructive abstract algebra

Safe Haskell | Safe-Inferred

Numeric.Partial.Monoid

# Documentation

class PartialSemigroup a => PartialMonoid a where Source

Methods

pzero :: aSource

Instances

PartialMonoid Bool |
PartialMonoid Int |
PartialMonoid Int8 |
PartialMonoid Int16 |
PartialMonoid Int32 |
PartialMonoid Int64 |
PartialMonoid Integer |
PartialMonoid Word |
PartialMonoid Word8 |
PartialMonoid Word16 |
PartialMonoid Word32 |
PartialMonoid Word64 |
PartialMonoid () |
PartialMonoid Natural |
PartialSemigroup a => PartialMonoid (Maybe a) |
PartialMonoid a => PartialMonoid (Morphism a) |
(PartialMonoid a, PartialMonoid b) => PartialMonoid (a, b) |
(PartialMonoid a, PartialMonoid b, PartialMonoid c) => PartialMonoid (a, b, c) |
(PartialMonoid a, PartialMonoid b, PartialMonoid c, PartialMonoid d) => PartialMonoid (a, b, c, d) |
(PartialMonoid a, PartialMonoid b, PartialMonoid c, PartialMonoid d, PartialMonoid e) => PartialMonoid (a, b, c, d, e) |